The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
curl --request GET \
--url https://cloud.laravel.com/api/environments/{environment}/logs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"message": "<string>",
"level": "info",
"type": "access",
"logged_at": "<string>",
"data": {
"status": 123,
"method": "<string>",
"path": "<string>",
"duration_ms": 123,
"bytes_sent": 123,
"ip": "<string>",
"user_agent": "<string>",
"country": "<string>"
}
}
],
"meta": {
"cursor": "<string>",
"type": "<string>",
"from": "<string>",
"to": "<string>"
}
}Get a list of logs for the given environment.
curl --request GET \
--url https://cloud.laravel.com/api/environments/{environment}/logs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"message": "<string>",
"level": "info",
"type": "access",
"logged_at": "<string>",
"data": {
"status": 123,
"method": "<string>",
"path": "<string>",
"duration_ms": 123,
"bytes_sent": 123,
"ip": "<string>",
"user_agent": "<string>",
"country": "<string>"
}
}
],
"meta": {
"cursor": "<string>",
"type": "<string>",
"from": "<string>",
"to": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
The environment identifier
all, application, access Pagination cursor from a previous response. Pass this to fetch the next page of logs.
Was this page helpful?